/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.dom.dfl.rule;

/** Enum containing all supported arrows used in a DFL rule */
public enum RuleArrow {
  /** Arrow for strict rules */
  STRICT_RULE("->"),
  /** Arrow for defeasible rules */
  DEFEASIBLE_RULE("=>"),
  /** Arrow for facts */
  FACT(">>"),
  /** Arrow for superiorities */
  SUPERIORITY(">");
  /** Actual value of the enum */
  private String value;

  /**
   * Constructor to set the value of each enum entry
   *
   * @param value String value of the enum
   */
  RuleArrow(String value) {
    this.value = value;
  }

  /**
   * Getter for the (string) value of one enum entry
   *
   * @return The value of the enum entry
   */
  public String getValue() {
    return value;
  }
}
