/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.dom.dfl.rule;

/** Enum containing all delimiters used in a DFL rule */
public enum RuleDelimiter {
  /** Delimiter between rule id and rule literals */
  ID(":"),
  /** Delimiter replacing whitespaces in dfl rules */
  WHITESPACE("_");
  /** Actual value of the enum */
  private String value;

  /**
   * Constructor to set the value of each enum entry
   *
   * @param value String value of the enum
   */
  RuleDelimiter(String value) {
    this.value = value;
  }

  /**
   * Getter for the (string) value of one enum entry
   *
   * @return The value of the enum entry
   */
  public String getValue() {
    return value;
  }
}
