/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.dom.dfl.rule;

/** Enum containing available rule types */
public enum RuleType {
  /** Rule type for booleans */
  BOOLEAN("boolean"),
  /** Rule type for double */
  DOUBLE("double"),
  /** Rule type for dates */
  DATE("date"),
  /** Rule type for integers */
  INT("integer"),
  /** Rule type for longs */
  LONG("long"),
  /** Rule type for integers */
  STRING("string");
  /** Actual value of the enum */
  private String value;

  /**
   * Constructor to set the value of each enum entry
   *
   * @param value String value of the enum
   */
  RuleType(String value) {
    this.value = value;
  }

  /**
   * Getter for the (string) value of one enum entry
   *
   * @return The value of the enum entry
   */
  public String getValue() {
    return value;
  }
}
