/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.dom.dfl.rule;

/** Enum containing all delimiters used in variables of a DLF rule */
public enum RuleVariable {
  /** Sign for DFL variables */
  VAR_SIGN("@"),
  /** Set expression for DFL variables */
  SET("set "),
  /** Allocation of DFL expressions */
  ALLOCATION("=");
  /** Actual value of the enum */
  private String value;

  /**
   * Constructor to set the value of each enum entry
   *
   * @param value String value of the enum
   */
  RuleVariable(String value) {
    this.value = value;
  }

  /**
   * Getter for the (string) value of one enum entry
   *
   * @return The value of the enum entry
   */
  public String getValue() {
    return value;
  }
}
