/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.dom.dmn;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/** Class specifying a dmn decision */
@XmlRootElement(name = "decision")
public class Decision {
  /** XML id of the Decision */
  private String id;
  /** XML name of the Decision */
  private String name;
  /** DecisionTable contained in the Decision */
  private DecisionTable dmnTable;

  /** Constructor of an empty Decision */
  public Decision() {}

  /**
   * Getter for the XML id of the Decision
   *
   * @return The XML id of the Decision
   */
  @XmlAttribute(name = "id")
  public String getId() {
    return id;
  }

  /**
   * Setter for the XML id of the Decision
   *
   * @param id XML id of the Decision
   */
  public void setId(String id) {
    this.id = id;
  }

  /**
   * Getter for the XML name of the Decision
   *
   * @return The XML name of the Decision
   */
  @XmlAttribute(name = "name")
  public String getName() {
    return name;
  }

  /**
   * Setter for the XML name of the Decision
   *
   * @param name The XML name of the Decision
   */
  public void setName(String name) {
    this.name = name;
  }

  /**
   * Getter for the DecisionTable contained int the Decision
   *
   * @return The DecisionTable contained in the Decision
   */
  @XmlElement(name = "decisionTable")
  public DecisionTable getDmnTable() {
    return dmnTable;
  }

  /**
   * Setter for the DecisionTable contained int the Decision
   *
   * @param dmnTable The DecisionTable contained in the Decision
   */
  public void setDmnTable(DecisionTable dmnTable) {
    this.dmnTable = dmnTable;
  }
}
