/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.dom.dmn;

import de.uniko.bks.dom.dmn.entry.InputEntry;
import de.uniko.bks.dom.dmn.entry.OutputEntry;
import java.util.ArrayList;
import javax.xml.bind.annotation.XmlAttribute;

/** Class specifying a single DMNRule */
public class DmnRule {
  /** XML id of the rule */
  private String id;
  /** List of inputEntries of the rule */
  private ArrayList<InputEntry> inputEntry;
  /** OutputEntry of the rule */
  private OutputEntry outputEntry;

  /** Constructor to initialize an empty DmnRule */
  public DmnRule() {}

  /**
   * Getter for the XML id of the rule
   *
   * @return The XML id of the rule
   */
  @XmlAttribute
  public String getId() {
    return id;
  }

  /**
   * Setter for the XML id of the rule
   *
   * @param id The XML id of the rule
   */
  public void setId(String id) {
    this.id = id;
  }

  /**
   * Getter for the List of inputEntries of the rule
   *
   * @return The List of inputEntries of the rule
   */
  public ArrayList<InputEntry> getInputEntry() {
    return inputEntry;
  }

  /**
   * Setter for the List of inputEntries of the rule
   *
   * @param inputEntry The List of inputEntries of the rule
   */
  public void setInputEntry(ArrayList<InputEntry> inputEntry) {
    this.inputEntry = inputEntry;
  }

  /**
   * Getter for OutputEntry of the rule
   *
   * @return The OutputEntry of the rule
   */
  public OutputEntry getOutputEntry() {
    return outputEntry;
  }

  /**
   * Setter for OutputEntry of the rule
   *
   * @param outputEntry The OutputEntry of the rule
   */
  public void setOutputEntry(OutputEntry outputEntry) {
    this.outputEntry = outputEntry;
  }
}
