/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.dom.dmn.entry;

import javax.xml.bind.annotation.XmlAttribute;

/** Class specifying a dmn OutputEntry */
public class OutputEntry {
  /** XML id of the OutputEntry */
  private String id;
  /** Text/value of the OutputEntry */
  private String text;

  /** Constructor for an empty OutputEntry */
  public OutputEntry() {}

  /**
   * Constructor for an OutputEntry with an initial text/value
   *
   * @param text Text/value of the OutputEntry
   */
  public OutputEntry(String text) {
    this.text = text;
  }

  /**
   * Getter for the OutputEntry id
   *
   * @return The id of the OutputEntry
   */
  @XmlAttribute
  public String getId() {
    return id;
  }

  /**
   * Setter for the OutputEntry id
   *
   * @param id The id of the OutputEntry
   */
  public void setId(String id) {
    this.id = id;
  }

  /**
   * Getter for the OutputEntry text/value
   *
   * @return The text/value of the OutputEntry
   */
  public String getText() {
    return text;
  }

  /**
   * Setter for the OutputEntry text/value
   *
   * @param text The text/value of the OutputEntry
   */
  public void setText(String text) {
    this.text = text;
  }
}
