/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.dom.dmn.header;

import javax.xml.bind.annotation.XmlAttribute;

/** Interface specifying which functions a header has to have */
public abstract class Header {
  /** The XML id of the Header */
  String id;
  /** The type of the Header */
  String type;
  /** The text/value of the Header */
  String text;

  /**
   * Getter for the XML id of the Header
   *
   * @return The XML id of the Header
   */
  @XmlAttribute
  public String getId() {
    return id;
  }

  /**
   * Setter for the XML id of the Header
   *
   * @param id The XML id of the Header
   */
  public void setId(String id) {
    this.id = id;
  }

  /**
   * Getter for the Header type
   *
   * @return The type of the Header
   */
  @XmlAttribute(name = "typeRef")
  public String getType() {
    return type;
  }

  /**
   * Setter for the Header type
   *
   * @param type The type of the Header
   */
  public void setType(String type) {
    this.type = type;
  }
}
