/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.dom.dmn.header;

import javax.xml.bind.annotation.XmlElement;

/** Class specifying a dmn InputHeader */
public class InputHeader extends Header {
  /** Constructor of an empty InputHeader */
  public InputHeader() {}

  /**
   * Constructor for a completely initialized InputHeader
   *
   * @param id The XML id of the Header
   * @param type The type of the Header
   * @param text The text/value of the Header
   */
  public InputHeader(String id, String type, String text) {
    this.id = id;
    this.type = type;
    this.text = text;
  }

  /**
   * Getter for the Header text/value
   *
   * @return The text/value of the Header
   */
  @XmlElement
  public String getText() {
    return text;
  }

  /**
   * Setter for the Header text/value
   *
   * @param text The text/value of the Header
   */
  public void setText(String text) {
    this.text = text;
  }
}
