/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.dom.dmn.header;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;

/** Class specifying a dmn OutputHeader */
public class OutputHeader extends Header {
  /** The outputValues (priority of the output elements/output order) */
  private OutputValues outputValues;

  /** Constructor of an empty OutputHeader */
  public OutputHeader() {}

  /**
   * Getter for the Header name attribute
   *
   * @return The name attribute of the Header
   */
  @XmlAttribute(name = "name")
  public String getText() {
    return text;
  }

  /**
   * Setter for the Header name attribute
   *
   * @param text The name attribute of the Header
   */
  public void setText(String text) {
    this.text = text;
  }

  /**
   * Getter for the outputValues (priority of the output elements/output order)
   *
   * @return The outputValues of the dmn table header
   */
  @XmlElement(name = "outputValues")
  public OutputValues getOutputValues() {
    return outputValues;
  }

  /**
   * Setter for the outputValues (priority of the output elements/output order)
   *
   * @param outputValues The outputValues of the dmn table header
   */
  public void setOutputValues(OutputValues outputValues) {
    this.outputValues = outputValues;
  }
}
