/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.generator.entry;

import java.util.Random;

public class OutputEntryList {
  /** The array containing the output values */
  private String[] values = {"a", "b", "c", "d", "e", "f", "g", "h"};

  public String[] getValues() {
    return this.values;
  }

  public void setValues(String[] values) {
    // Check if the given outputEntryList is empty
    if (values != null && values.length > 0) {
      // Set the list from the parameter
      this.values = values;
    }
  }

  /**
   * Function which gets one random item of the values array
   *
   * @return The random array entry
   */
  String getRandomValue() {
    int randomIndex = new Random().nextInt(this.values.length);
    return this.values[randomIndex];
  }
}
