package de.uniko.bks.statistic;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

class DmnDate {

  private Date date;
  private Date endDate;
  private boolean isLowerThan = false;
  private boolean isGreaterThan = false;
  private boolean itDoesntMatter = false;

  boolean isItDoesntMatter() {
    return itDoesntMatter;
  }

  private Date getDate() {
    return date;
  }

  private Date getEndDate() {
    return endDate;
  }

  private boolean isLowerThan() {
    return isLowerThan;
  }

  private boolean isGreaterThan() {
    return isGreaterThan;
  }

  private boolean isRange() {
    return isRange;
  }

  private boolean isRange = false;

  DmnDate(String dateString) {
    parseString(dateString);
  }

  private void parseString(String dateString) {
    if (dateString.length() == 0) {
      this.itDoesntMatter = true;
    } else {
      String first = dateString.substring(0, 1);
      if (first.contains("[")) {
        isRange = true;
        dateString = dateString.replace("..", "#");
        String modDateString = dateString;
        modDateString = modDateString.replace("[", "");
        modDateString = modDateString.replace("]", "");
        String[] dates = modDateString.split("#");
        this.date = parseStringToDate(dates[0]);
        this.endDate = parseStringToDate(dates[1]);
      } else {
        if (dateString.contains("&lt;") || dateString.contains("<")) {
          dateString = dateString.replace("&lt;", "");
          dateString = dateString.replace("<", "");
          this.isLowerThan = true;
        }
        if (dateString.contains("&gt;") || dateString.contains(">")) {
          dateString = dateString.replace("&gt;", "");
          dateString = dateString.replace(">", "");
          this.isGreaterThan = true;
        }
        this.date = parseStringToDate(dateString);
        this.endDate = this.date;
      }
    }
  }

  private Date parseStringToDate(String dateString) {
    SimpleDateFormat parser = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss");
    dateString = dateString.replace("date and time(\"", "");
    dateString = dateString.replace("\")", "");
    dateString = dateString.replace(" ", "");
    Date date1;
    try {
      date1 = parser.parse(dateString);
      return date1;
    } catch (ParseException e) {
      date1 = new Date();
      e.printStackTrace();
      return date1;
    }
  }

  boolean isOverlapping(DmnDate dateToCheck) {
    if (this.itDoesntMatter || dateToCheck.isItDoesntMatter()) {
      return true;
    }
    SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss");
    if (this.isRange) {
      if (dateToCheck.isRange) {
        if ((this.date.after(dateToCheck.getDate()) && this.date.before(dateToCheck.getEndDate()))
            || (this.endDate.after(dateToCheck.getDate())
                && this.endDate.before(dateToCheck.getEndDate()))
            || (dateToCheck.getDate().after(this.date)
                && dateToCheck.getDate().before(this.endDate))
            || (dateToCheck.getEndDate().after(this.date)
                && dateToCheck.getEndDate().before(this.endDate))) {
          return true;
        }
      }
      if (dateToCheck.isLowerThan()) {
        if (this.date.before(dateToCheck.getDate())) {
          return true;
        }
      } else if (dateToCheck.isGreaterThan()) {
        if (this.endDate.after(dateToCheck.getDate())) {
          return true;
        }
      }
      if (dateToCheck.getDate().after(this.date) && dateToCheck.getDate().before(this.endDate)) {
        return true;
      }
    } else if (this.isLowerThan) {
      if (dateToCheck.isRange()) {
        if (dateToCheck.date.before(this.date)) {
          return true;
        }
      }
      if (dateToCheck.isLowerThan()) {
        if ((this.date.before(dateToCheck.getDate()))
            || (dateToCheck.getDate().before(this.date))) {
          return true;
        }
      } else if (dateToCheck.isGreaterThan()) {
        if ((this.date.after(dateToCheck.getDate())) || (dateToCheck.getDate().before(this.date))) {
          return true;
        }
      }
      if (dateToCheck.getDate().before(this.date)) {
        return true;
      }
    } else if (this.isGreaterThan()) {
      if (dateToCheck.isRange()) {
        if (dateToCheck.endDate.after(this.date)) {
          return true;
        }
      }
      if (dateToCheck.isLowerThan()) {
        if ((this.date.before(dateToCheck.getDate())) || (dateToCheck.getDate().after(this.date))) {
          return true;
        }
      } else if (dateToCheck.isGreaterThan()) {
        if ((this.date.after(dateToCheck.getDate())) || (dateToCheck.getDate().after(this.date))) {
          return true;
        }
      }
      if (dateToCheck.getDate().after(this.date)) {
        return true;
      }
    }
    return format.format(this.date).equals(format.format(dateToCheck.getDate()));
  }
}
