/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.statistic;

import java.nio.file.Path;

/** Class wrapping meta information about a generated DMN file */
public class DmnFile {
  /** HitPolicy of the DMN file */
  private String hitPolicy;
  /** Path where the file is located */
  private Path path;
  /** Number of columns in the DMN table */
  private int columnCount;
  /** Number of the rows in the DMN table */
  private int rowCount;

  public DmnFile(String hitPolicy, Path path, int columnCount, int rowCount) {
    this.hitPolicy = hitPolicy;
    this.path = path;
    this.columnCount = columnCount;
    this.rowCount = rowCount;
  }

  public String getHitPolicy() {
    return hitPolicy;
  }

  public Path getPath() {
    return path;
  }

  public int getColumnCount() {
    return columnCount;
  }

  public int getRowCount() {
    return rowCount;
  }
}
