/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.statistic;

/** Class representing a single statistic item */
public class ParserStatistic {
  private String hitPolicy;
  private int columnCount;
  private int rowCount;
  private double averageRunTime;

  public ParserStatistic(String hitPolicy, int columnCount, int rowCount, double averageRunTime) {
    this.hitPolicy = hitPolicy;
    this.columnCount = columnCount;
    this.rowCount = rowCount;
    this.averageRunTime = averageRunTime;
  }

  public String getHitPolicy() {
    return hitPolicy;
  }

  public int getColumnCount() {
    return columnCount;
  }

  public int getRowCount() {
    return rowCount;
  }

  public double getAverageRunTime() {
    return averageRunTime;
  }

  @Override
  public String toString() {
    return "ParserStatistic{"
        + "hitPolicy='"
        + hitPolicy
        + '\''
        + ", columnCount="
        + columnCount
        + ", rowCount="
        + rowCount
        + ", averageRunTime="
        + averageRunTime
        + '}';
  }
}
