/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.statistic;

/** Class containing the default configuration for performance tests */
public class PerformanceTestConfiguration {
  /** Amount (square root) of different data points (files) created */
  private static final int NUMBER_OF_DATA_POINTS = 10;
  /** Number of runs for each file to calculate the average run-time */
  private static final int NUMBER_OF_TESTS = 3;
  /** Whether or not the test files should be deleted after the statistics are generated */
  private static final boolean DELETE_TEST_FILES = true;
  /** Difference in rows in each test dmn file */
  private static final int ROW_NUMBER_STEPS = 50;
  /** Number of columns the generator starts with */
  private static final int INITIAL_COLUMN_COUNT = 1;
  /** Number of rows the generator starts with */
  private static final int INITIAL_ROW_COUNT = 1;

  public static int getNumberOfDataPoints() {
    return NUMBER_OF_DATA_POINTS;
  }

  public static int getNumberOfTests() {
    return NUMBER_OF_TESTS;
  }

  public static boolean isDeleteTestFiles() {
    return DELETE_TEST_FILES;
  }

  public static int getRowNumberSteps() {
    return ROW_NUMBER_STEPS;
  }

  public static int getInitialColumnCount() {
    return INITIAL_COLUMN_COUNT;
  }

  public static int getInitialRowCount() {
    return INITIAL_ROW_COUNT;
  }
}
