/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.statistic;

import java.util.concurrent.TimeUnit;

/** Class which handles the printing/formatting of the statistic run-time */
public class RunTimePrinter {
  private long startTime;
  private long endTime;
  private static final String PRINTER_TEXT =
      "\u001B[32mThe generation of statistics took %d minutes and %d seconds\u001B[0m";

  RunTimePrinter(long startTime) {
    this.startTime = startTime;
  }

  void setEndTime(long endTime) {
    this.endTime = endTime;
  }

  @Override
  public String toString() {
    long executionTime = this.endTime - this.startTime;
    return String.format(
        PRINTER_TEXT,
        TimeUnit.MILLISECONDS.toMinutes(executionTime),
        TimeUnit.MILLISECONDS.toSeconds(executionTime)
            - TimeUnit.MINUTES.toSeconds(TimeUnit.MILLISECONDS.toMinutes(executionTime)));
  }
}
