package de.uniko.bks.statistic;

import de.unikoblenz.fgbks.dmn.core.models.VerifierCollectionResult;
import de.unikoblenz.fgbks.dmn.core.models.VerifierType;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.util.List;
import org.camunda.bpm.dmn.engine.DmnDecision;
import org.camunda.bpm.dmn.engine.DmnEngineConfiguration;

public class TestDMN {

  // Multimap<String, String> outputMap = MultimapBuilder.hashKeys().hashSetValues().build();
  private List<DmnDecision> dmnDecisions = null;
  private VerifierCollectionResult verifcation;
  private long execTime = 0;

  public List<DmnDecision> testDmn(String filePath) throws FileNotFoundException {
    InputStream inputStream = new FileInputStream(filePath);
    this.dmnDecisions =
        DmnEngineConfiguration.createDefaultDmnEngineConfiguration()
            .buildEngine()
            .parseDecisions(inputStream);

    execTime = System.currentTimeMillis();
    checkAllTables();
    execTime = System.currentTimeMillis() - execTime;
    // checkTest();
    return this.dmnDecisions;
  }

  public VerifierCollectionResult getVerifcation() {
    return verifcation;
  }

  public long getExecTime() {
    return execTime;
  }

  private void checkAllTables() {
    verifcation = VerifierType.getAllResults(this.dmnDecisions);
  }
}
