/*
 * Developed by Hans-Henning Ramberger as part of a master thesis.
 * Copyright (c) 2018.
 */

package de.uniko.bks.xml;

import de.uniko.bks.dom.dmn.Decision;
import java.io.StringWriter;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;

/** Class marshalling a given Java Decision into XML */
public class XmlMarshaller {
  public static String marshalDmnTable(Decision decision) throws JAXBException {
    JAXBContext jaxbContext = JAXBContext.newInstance(Decision.class);
    Marshaller marshaller = jaxbContext.createMarshaller();

    // Format the resulting XML
    marshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, true);
    // Tell the marshaller to only write the XML fragment without the header
    marshaller.setProperty(Marshaller.JAXB_FRAGMENT, true);
    // Set the correct encoding
    marshaller.setProperty(Marshaller.JAXB_ENCODING, "UTF-8");

    // Create a variable to store the marshalling result
    StringWriter stringWriter = new StringWriter();
    // Marshal the decision into a variable
    marshaller.marshal(decision, stringWriter);

    return stringWriter.toString();
  }
}
