package de.unikoblenz.fgbks.dmn.beans;

import de.unikoblenz.fgbks.dmn.core.DmnService;
import de.unikoblenz.fgbks.dmn.core.models.VerifierResult;
import java.io.Serializable;
import java.util.Collections;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.enterprise.context.SessionScoped;
import javax.inject.Inject;
import javax.inject.Named;

@Named
@SessionScoped
public class TableDataBean implements Serializable {

  @Inject private DmnBean dmnBean;

  private DmnService dmnService;

  private List<VerifierResult> verifierResultList;

  @PostConstruct
  public void init() {
    verifierResultList = Collections.emptyList();
    if (dmnBean.getDmnXML() != null && !dmnBean.getDmnXML().isEmpty()) {
      try {
        dmnService = DmnService.getDmnServiceFromXml(dmnBean.getDmnXML());
      } catch (Exception e) {
        // Nothing -> no valid dmn file found
      }
    }
  }

  public List<VerifierResult> getVerifierResultList() {
    return verifierResultList;
  }

  public List<VerifierResult> calculateVerifierResults(boolean calculateMultiTable) {
    init();
    if (dmnService == null) {
      verifierResultList = Collections.emptyList();
    } else {
      verifierResultList = dmnService.getAllVerifier(calculateMultiTable).getVerifierResults();
    }
    return verifierResultList;
  }
}
