package de.unikoblenz.fgbks.dmn.core.dmnhelper;

import de.unikoblenz.fgbks.dmn.core.models.RuleIdentifier;
import java.util.Objects;

public class Value implements Cloneable {

  private Boundary boundary;
  private String orgExpression;
  private final RuleIdentifier ruleIdentifier;
  private final Type type;

  public Value(Boundary boundary, String orgExpression, RuleIdentifier ruleIdentifier, Type type) {
    this.boundary = boundary;
    this.orgExpression = orgExpression;
    this.ruleIdentifier = ruleIdentifier;
    this.type = type;
  }

  public Boundary getBoundary() {
    return boundary;
  }

  public void setBoundary(Boundary boundary) {
    this.boundary = boundary;
    this.orgExpression = boundary.toString();
  }

  public String getOrgExpression() {
    return orgExpression;
  }

  public RuleIdentifier getRuleIdentifier() {
    return ruleIdentifier;
  }

  public Type getType() {
    return type;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Value that = (Value) o;
    return ruleIdentifier.equals(that.ruleIdentifier);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ruleIdentifier);
  }

  @Override
  public String toString() {
    return orgExpression;
  }
}
