package de.unikoblenz.fgbks.dmn.core.models;

import de.unikoblenz.fgbks.base.builder.DefaultBuilder;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.CopyOnWriteArrayList;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "results")
public class VerifierCollectionResult {

  @XmlElement(name = "verifier")
  private List<VerifierResult> verifierResults;

  private VerifierCollectionResult() {
    verifierResults = new CopyOnWriteArrayList<>();
  }

  public List<VerifierResult> getVerifierResults() {
    return new ArrayList<>(verifierResults);
  }

  public static Builder getBuilder() {
    return new VerifierCollectionResult().new Builder();
  }

  public class Builder extends DefaultBuilder<VerifierCollectionResult> {

    public VerifierCollectionResult.Builder addVerifierResult(VerifierResult verificationResult) {
      value.verifierResults.add(Objects.requireNonNull(verificationResult));
      return this;
    }

    @Override
    public VerifierCollectionResult build() {
      value.verifierResults.sort(Comparator.comparing(v -> v.getVerifierType().name()));
      return super.build();
    }
  }
}
