package de.unikoblenz.fgbks.dmn.core.verifier.multitable;

import de.unikoblenz.fgbks.dmn.core.models.RuleIdentifier;
import de.unikoblenz.fgbks.dmn.core.verifier.EquivalentVerifier;
import org.camunda.bpm.dmn.engine.DmnDecision;

public class MultiTableEquivalentVerifier extends EquivalentVerifier {

  @Override
  protected void beforeVerifyDecision() {
    for (String key : dmnRuleMap.getMergedDecisionsKeys()) {
      findEquivalentRules(dmnRuleMap.getAllTypesFromDecisionKey(key));
    }
  }

  @Override
  protected void verifyDecision(DmnDecision d) {
    // nothing
  }

  @Override
  protected void afterVerifyDecision() {
    // Nothing
  }

  @Override
  protected String getMessageText(RuleIdentifier r1, RuleIdentifier r2, String v1, String v2) {
    return String.format(
        "In rule %d (%s) string \"%s\" and in rule %d (%s) string \"%s\": equal meaning? Are they synonyms?",
        r1.getRowNumber(), r1.getTableName(), v1, r2.getRowNumber(), r2.getTableName(), v2);
  }
}
